Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
msghdr Struct Reference

`#include <win32.h>`

## Data Fields
void * | msg_name
int | msg_namelen
struct iovec * | msg_iov
int | msg_iovlen
void * | msg_control
int | msg_controllen
int | msg_flags

## Detailed Description

Definition at line 215 of file win32.h.

## Field Documentation

void* msghdr::msg_control

Definition at line 220 of file win32.h.

int msghdr::msg_controllen

Definition at line 221 of file win32.h.

int msghdr::msg_flags

Definition at line 222 of file win32.h.

Referenced by recvmsg().

struct iovec* msghdr::msg_iov

Definition at line 218 of file win32.h.

int msghdr::msg_iovlen

Definition at line 219 of file win32.h.

void* msghdr::msg_name

Definition at line 216 of file win32.h.

Referenced by recvmsg().

int msghdr::msg_namelen

Definition at line 217 of file win32.h.

Referenced by recvmsg().

The documentation for this struct was generated from the following file:

- include/ruby/win32.h